Bug 1564496 - [abrt] PackageKit: XML_GetBuffer(): packagekitd killed by SIGABRT
Summary: [abrt] PackageKit: XML_GetBuffer(): packagekitd killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: PackageKit
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:843f8923949dd7f78eff7090fd0...
: 1582887 1584516 1596550 1622959 1637154 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-06 12:57 UTC by Gwendal
Modified: 2019-05-28 22:59 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 22:59:28 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (29.79 KB, text/plain)
2018-04-06 12:57 UTC, Gwendal
no flags Details
File: cgroup (184 bytes, text/plain)
2018-04-06 12:57 UTC, Gwendal
no flags Details
File: core_backtrace (11.56 KB, text/plain)
2018-04-06 12:57 UTC, Gwendal
no flags Details
File: cpuinfo (1.75 KB, text/plain)
2018-04-06 12:57 UTC, Gwendal
no flags Details
File: dso_list (8.57 KB, text/plain)
2018-04-06 12:57 UTC, Gwendal
no flags Details
File: environ (190 bytes, text/plain)
2018-04-06 12:57 UTC, Gwendal
no flags Details
File: limits (1.29 KB, text/plain)
2018-04-06 12:57 UTC, Gwendal
no flags Details
File: maps (37.90 KB, text/plain)
2018-04-06 12:58 UTC, Gwendal
no flags Details
File: mountinfo (3.92 KB, text/plain)
2018-04-06 12:58 UTC, Gwendal
no flags Details
File: open_fds (2.85 KB, text/plain)
2018-04-06 12:58 UTC, Gwendal
no flags Details
File: proc_pid_status (1.23 KB, text/plain)
2018-04-06 12:58 UTC, Gwendal
no flags Details
File: var_log_messages (1.64 KB, text/plain)
2018-04-06 12:58 UTC, Gwendal
no flags Details

Description Gwendal 2018-04-06 12:57:43 UTC
Version-Release number of selected component:
PackageKit-1.1.9-3.fc28

Additional info:
reporter:       libreport-2.9.4
backtrace_rating: 4
cmdline:        /usr/libexec/packagekitd
crash_function: XML_GetBuffer
executable:     /usr/libexec/packagekitd
journald_cursor: s=1ea630996a164218929f03f658bcc43c;i=1dbe4d;b=66b6ddb8a1c145bea504d87150f34e4a;m=7e64df3;t=5691f7e967e16;x=80fcedf05a535eb
kernel:         4.16.0-300.fc28.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            0

Potential duplicate: bug 1509106

Comment 1 Gwendal 2018-04-06 12:57:50 UTC
Created attachment 1418114 [details]
File: backtrace

Comment 2 Gwendal 2018-04-06 12:57:52 UTC
Created attachment 1418115 [details]
File: cgroup

Comment 3 Gwendal 2018-04-06 12:57:53 UTC
Created attachment 1418116 [details]
File: core_backtrace

Comment 4 Gwendal 2018-04-06 12:57:55 UTC
Created attachment 1418117 [details]
File: cpuinfo

Comment 5 Gwendal 2018-04-06 12:57:56 UTC
Created attachment 1418118 [details]
File: dso_list

Comment 6 Gwendal 2018-04-06 12:57:58 UTC
Created attachment 1418119 [details]
File: environ

Comment 7 Gwendal 2018-04-06 12:57:59 UTC
Created attachment 1418120 [details]
File: limits

Comment 8 Gwendal 2018-04-06 12:58:01 UTC
Created attachment 1418121 [details]
File: maps

Comment 9 Gwendal 2018-04-06 12:58:03 UTC
Created attachment 1418122 [details]
File: mountinfo

Comment 10 Gwendal 2018-04-06 12:58:05 UTC
Created attachment 1418123 [details]
File: open_fds

Comment 11 Gwendal 2018-04-06 12:58:06 UTC
Created attachment 1418124 [details]
File: proc_pid_status

Comment 12 Gwendal 2018-04-06 12:58:08 UTC
Created attachment 1418125 [details]
File: var_log_messages

Comment 13 Michal Kilijanek 2018-05-27 17:25:04 UTC
*** Bug 1582887 has been marked as a duplicate of this bug. ***

Comment 14 Esaú García Sánchez-Torija 2018-05-31 06:52:22 UTC
*** Bug 1584516 has been marked as a duplicate of this bug. ***

Comment 15 patrick.guio 2018-06-29 08:37:48 UTC
*** Bug 1596550 has been marked as a duplicate of this bug. ***

Comment 16 Sam Tygier 2018-08-28 09:10:03 UTC
*** Bug 1622959 has been marked as a duplicate of this bug. ***

Comment 17 Dmytro Nezhynskyi 2018-10-08 19:05:11 UTC
*** Bug 1637154 has been marked as a duplicate of this bug. ***

Comment 18 Pierre Ossman 2018-10-23 10:28:09 UTC
Similar problem has been detected:

I removed the cache directory (/var/cache/PackageKit/28).

reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/libexec/packagekitd
crash_function: XML_GetBuffer
executable:     /usr/libexec/packagekitd
journald_cursor: s=464a9dd0081645af9c3fdd83778beec5;i=35d04d;b=20a75eb294204c0cbee5d3a644f4788d;m=16c6108bd04;t=578e2bd546428;x=4635ab70e93df621
kernel:         4.18.11-200.fc28.x86_64
package:        PackageKit-1.1.10-1.fc28
reason:         packagekitd killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            0

Comment 19 Ben Cotton 2019-05-02 20:35:59 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 20 Ben Cotton 2019-05-28 22:59:28 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.